CREATE TABLE IF NOT EXISTS `t_approve_records`
(
    `id`          VARCHAR(36)  NOT NULL COMMENT '主键',
    `code`        VARCHAR(32)  NOT NULL COMMENT '编码',
    `name`        VARCHAR(100) NOT NULL COMMENT '名称',
    `approved`    BIT(1)       NULL     DEFAULT b'0' COMMENT '是否已审批',
    `module`      VARCHAR(50)  NOT NULL COMMENT '模块',
    `module_name` VARCHAR(50)  NULL COMMENT '模块名称',
    `data_id`     VARCHAR(36)  NULL COMMENT '数据id',
    `approver`    VARCHAR(36)  NULL COMMENT '审批人',
    `action`      VARCHAR(24)  NULL COMMENT '审批动作',
    `opinion`     VARCHAR(500) NULL COMMENT '审批意见',
    `create_time` DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `modify_time` DATETIME     NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    `creator`     VARCHAR(36)  NULL COMMENT '创建人名称',
    `creator_id`  VARCHAR(36)  NULL COMMENT '创建人id',
    `modifier`    VARCHAR(36)  NULL COMMENT '修改人名称',
    `modifier_id` VARCHAR(36)  NULL COMMENT '修改人id',
    `delete`      BIT(1)       NOT NULL DEFAULT b'0',
    PRIMARY KEY (`id`)
) COMMENT '审批记录';
