package org.springframework.data.r2dbc.core;

import org.springframework.data.mapping.context.MappingContext;
import org.springframework.data.r2dbc.dialect.R2dbcDialect;
import org.springframework.data.r2dbc.query.UpdateMapper;
import org.springframework.data.relational.core.mapping.RelationalPersistentEntity;
import org.springframework.data.relational.core.mapping.RelationalPersistentProperty;
import org.springframework.data.relational.core.sql.render.RenderContext;

/**
 * 创建适配类，暴露构造器方法
 *
 * @author wangyu
 */
public class PredefinedStatementMapper extends DefaultStatementMapper {

    public PredefinedStatementMapper(R2dbcDialect dialect, RenderContext renderContext, UpdateMapper updateMapper,
                                     MappingContext<RelationalPersistentEntity<?>, ? extends RelationalPersistentProperty> mappingContext) {
        super(dialect, renderContext, updateMapper, mappingContext);
    }
}
