package dev.flyfish.framework.dict.domain;

import lombok.Data;

/**
 * 字典表的值
 *
 * @author wangyu
 */
@Data
public class DictionaryValue {

    // 显示文字
    private String text;

    // 值
    private String value;

    // 描述
    private String description;

    // 是否启用
    private boolean enable;

    public static DictionaryValue of(String text, String value) {
        DictionaryValue entity = new DictionaryValue();
        entity.setText(text);
        entity.setValue(value);
        entity.setEnable(true);
        return entity;
    }
}
