package dev.flyfish.framework.approval.domain.todo;

import dev.flyfish.framework.approval.enums.ApproveAction;
import lombok.Data;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;

/**
 * 审批dto
 *
 * @author wangyu
 */
@Data
public class ApprovalDto {

    @NotBlank(message = "审批记录id不可为空！")
    private String id;

    @NotNull(message = "审批操作不可为空！")
    private ApproveAction action;

    @NotNull(message = "审批意见不可为空！")
    private String opinion;
}
